import { ValueField } from "../value-field";
import * as i0 from "@angular/core";
export declare class CheckboxGroupComponent {
    field: CheckboxGroupField;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckboxGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CheckboxGroupComponent, "path-checkbox-group", never, { "field": "field"; }, { "field": "field"; }, never, never>;
}
export declare class CheckboxGroupField extends ValueField<any[]> {
    private _entries;
    get entries(): CheckboxGroupEntry[];
    set entries(value: CheckboxGroupEntry[]);
    doClick(): void;
    setValue(values: any[]): void;
    fromJson(modelFormField: any): void;
}
export declare class CheckboxGroupEntry {
    private _key;
    private _name;
    private _selected;
    get key(): any;
    set key(value: any);
    get name(): string;
    set name(value: string);
    get selected(): boolean;
    set selected(value: boolean);
}
